# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

DESCRIPTION="Compute rank-width decompositions of graphs"
AUTHORPAGE="http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/"
HOMEPAGE="${AUTHORPAGE}software/${PN}.shtml"
SRC_URI="${AUTHORPAGE}/software/${P}.tar.gz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"
IUSE="+executable"

DEPEND="executable? ( >=dev-libs/igraph-0.6 )"
RDEPEND="${DEPEND}"

DOCDIR="/usr/share/doc/${PF}"

src_configure(){
	econf $(use_enable executable) \
		  --docdir="${EPREFIX}${DOCDIR}"
}

src_install(){
	# This isn't strictly necessary, but it keeps the examples separated
	# in a subdirectory. It also prevents the example graphs from being
	# compressed, which is good, since they're supposed to be fed into
	# the 'rw' program and it doesn't understand bzip2.
	emake DESTDIR="${D}" install-exec
	dodoc AUTHORS README NEWS

	insinto "${DOCDIR}"
	docompress -x "${DOCDIR}/example_graphs"
	doins -r example_graphs
}
